Support for TP-Link CPE510 v3.20

Hi,

I have a CPE510 v3.20 and was wondering if support could be added to the current work being done for the CPE510 v3 firmware?

I am unaware of what the differences are between the 3 and 3.2 versions and I have been unable to find much information.

This is the information from the radio:

system type : Atheros AR934x
processor : 0
cpu model : MIPS 74Kc V4.12
BogoMIPS : 279.55
wait instruction : yes
microsecond timers : yes
tlb_entries : 32
extra interrupt vector : yes
hardware watchpoint : yes, count: 4, address/irw mask: [0x0000, 0x0ff8, 0x0ffb, 0x0ff8]
ASEs implemented : mips16 dsp
shadow register sets : 1
core : 0
VCED exceptions : not available
VCEI exceptions : not available

This is the FCC information also. It looks like it is the CPE510 v3.2:
https://apps.fcc.gov/oetcf/eas/reports/ViewExhibitReport.cfm?mode=Exhibits&RequestTimeout=500&calledFromFrame=Y&application_id=5CarZiHbG5pJtk8bNl3rTQ%3D%3D&fcc_id=TE7CPE510V32

I would be more than happy to provide additional information and testing is required.

Thank you!

I am having the same problem: snapshot V3.0 cannot be uploaded on v3.20. I remember a similar problem with CPE210 v3.0 to v3.20. Snapshot V3 worked then on the CPE210 V3.20. Perhaps the same changes can be done to the snapshot image?
[ könnte etwas mit der tplink_safeloader support list zu tun haben, mehr info in dem thread: https://forum.openwrt.org/t/build-for-cpe210-v3-20/68000]

Tried to create a new image from repository:
[git clone https://github.com/Parabol1337/openwrt.git]
there was no choice to select luci in menuconfig
make was working, I was able to install the factory.bin

But there were no src paths to luci and other modules etc.
after adding the src paths below to /etc/opkg.conf installation of luci worked:

src/gz base 	 https://downloads.openwrt.org/snapshots/packages/mips_24kc/base
src/gz luci 	 https://downloads.openwrt.org/snapshots/packages/mips_24kc/luci
src/gz freifunk  https://downloads.openwrt.org/snapshots/packages/mips_24kc/freifunk
src/gz packages  https://downloads.openwrt.org/snapshots/packages/mips_24kc/packages
src/gz routing 	 https://downloads.openwrt.org/snapshots/packages/mips_24kc/routing
src/gz telephony https://downloads.openwrt.org/snapshots/packages/mips_24kc/telephony

Connetivity with eth0 now working, not with wlan and the webinterface now gave the error message:
"/usr/lib/lua/luci/dispatcher.lua:427: /etc/config/luci seems to be corrupt, unable to find section 'main'"

Just working on this problem, but no success so far. Any suggestions?

the error above can be avoided, when doing sysupgrade with option "-n"
sysupgrade -v -n /tmp/*.bin

Luci is working now but a new error in Luci came up:

RPCError

RPC call to luci/getFeatures failed with error -32000: Object not found

this but shoud be fixed in the meanwhile, starting a new compilation ...
https://github.com/openwrt/luci/pull/4560/commits/6e4e1321a2f0e27dd2f79ead0e434a8aee807d67

Jo, works!
As far as I can see even with 5GHz wireless
complete setup procedure:
(on a Linux device)

git clone https://github.com/Parabol1337/openwrt.git
cd openwrt
./scripts/feeds update -a
./scripts/feeds install -a
make menuconfig

[I added here luci and selected TP-Link CPE510 V3]
scp new ...sysupgrade.bin and sha256sums to CPE510 to /tmp/
on CPE510 device
sysupgrade -v -n /tmp/*.bin

new login to 192.168.1.1
Modify /etc/config/network to my lan
add following lines to /etc/opkg.conf (without you get no opkg ressources as usual)

src/gz base 	 https://downloads.openwrt.org/snapshots/packages/mips_24kc/base
src/gz luci 	 https://downloads.openwrt.org/snapshots/packages/mips_24kc/luci
src/gz freifunk  https://downloads.openwrt.org/snapshots/packages/mips_24kc/freifunk
src/gz packages  https://downloads.openwrt.org/snapshots/packages/mips_24kc/packages
src/gz routing 	 https://downloads.openwrt.org/snapshots/packages/mips_24kc/routing
opkg update (watch for no errors)
opkg install luci luci-mod-freifunk luci-ssl luci-app-olsr-services tcpdump-mini (or whatever you need ...)

login via browser and luci as usual

Just thought I would share this.

I recently bought a TP-Link CPE510 HW rev 3.28 (in the FW it said v3.2) when trying to flash v3 the image from the stock firmware I got the message hardware not supported.

It's at $50 device, I've bricked much more expensive gear. So, I basically YOLO'd it and installed the v3 snapshot 10-04-2020 via a tftp server using the tftp recovery process. IE setting an interface to 192.168.1.100, running a tftp server and renaming the openwrt factory image to recovery.bin then placing recovery.bin in the root of the tftp server.

Everything works fine with the unit and I had no issues except for the notable issue that somehow it appeared that it got a stale/old/currupted opkg database that opkg update wouldn't overwrite. Once manually deleting the opkg db files and updating again luci installed without issue.

Just thought I would share. Maybe someone can write this up in the wiki for others but this is all the time I had today.

-Andrew

FYI: OpenWrt support for CPE510 v3.20 has been added

OpenWrt images for v3 should work now.

1 Like

Thank you! I will install this week!

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.